export declare const GLOBAL_CONFIG_FILE: {
    out: string;
    in: string;
    port: number;
    websocketPort: number;
};
export declare type ConfigFile = typeof GLOBAL_CONFIG_FILE & {
    graphql?: {
        [x: string]: {
            url: string;
            headers?: {
                [x: string]: string;
            };
        };
    };
};
export declare const validateConfig: (config: ConfigFile) => void;
export declare const readConfig: (path: string) => ConfigFile;
export declare const initConfig: () => Promise<void>;
