"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.envLoader = void 0;
const dotenv_1 = require("dotenv");
const fs_1 = __importDefault(require("fs"));
const envLoader = () => {
    const systemEnvs = Object.fromEntries(Object.entries(process.env).filter(([k, v]) => k[0].toUpperCase() === k[0]));
    const fileEnvs = fs_1.default.existsSync('./.env')
        ? (0, dotenv_1.parse)(fs_1.default.readFileSync('./.env'))
        : {};
    const allEnvs = Object.assign(Object.assign({}, systemEnvs), fileEnvs);
    return allEnvs;
};
exports.envLoader = envLoader;
//# sourceMappingURL=env.js.map