"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenerateGlobalTypings = exports.envsTypings = void 0;
const graphql_zeus_1 = require("graphql-zeus");
const graphql_js_tree_1 = require("graphql-js-tree");
const objectToType_1 = require("./objectToType");
const env_1 = require("../loaders/env");
const envsTypings = (config) => {
    const envs = (0, env_1.envLoader)();
    const ssg = {
        envs,
        config,
    };
    return `
declare const ssg: ${(0, objectToType_1.objectToType)(ssg)}`;
};
exports.envsTypings = envsTypings;
const GenerateGlobalTypings = ({ schema, config, }) => {
    const graphqlTree = graphql_js_tree_1.Parser.parse(schema);
    return graphql_zeus_1.TreeToTS.resolveTree({ tree: graphqlTree, env: 'browser' });
};
exports.GenerateGlobalTypings = GenerateGlobalTypings;
//# sourceMappingURL=fn.js.map