"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlSkeletonStatic = void 0;
const HtmlSkeletonStatic = ({ body, cssName, scriptName, data, head = '', hydrate, }) => `<!DOCTYPE html><html>
    <head>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      ${cssName
    ? `<link rel="stylesheet" type="text/css" media="screen" href="./${cssName}"/>`
    : ''}
      ${`<script type="module" src="./${scriptName}"></script>`}${data
    ? `<script type="module">
          const m = await import("./${scriptName}");
          const Component = m.default;
        ${hydrate
        ? `
            import ReactDOM from 'https://cdn.skypack.dev/react-dom';
            ReactDOM.hydrate(Component(${JSON.stringify(data)}),document.body)`
        : `
        if(m && m.hydrate){
          m.hydrate(${JSON.stringify(data)})
        }`}
      </script>`
    : ''}${head ? `\n${head}` : ''}
    </head>
    <body>
      ${body}
    </body>
  </html>`;
exports.HtmlSkeletonStatic = HtmlSkeletonStatic;
//# sourceMappingURL=htmlSkeleton.js.map