"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withExport = exports.asInterface = exports.objectToType = void 0;
const objectToType = (a) => {
    if (a === undefined) {
        return '{}';
    }
    if (Array.isArray(a)) {
        return `[${a.map((k) => (0, exports.objectToType)(a[k])).join(', ')}]`;
    }
    if (typeof a === 'object') {
        if (a === null) {
            return 'null';
        }
        return `{${Object.keys(a)
            .map((k) => `"${k}": ${(0, exports.objectToType)(a[k])}`)
            .join(';\n')}}`;
    }
    return typeof a;
};
exports.objectToType = objectToType;
const asInterface = (name) => (content) => `interface ${name} ${content}`;
exports.asInterface = asInterface;
const withExport = (content) => `export ${content}`;
exports.withExport = withExport;
//# sourceMappingURL=objectToType.js.map