"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformMarkdownFiles = void 0;
const console_1 = require("../../console");
const fsAddons_1 = require("../../fsAddons");
const paths_1 = require("../../paths");
const gray_matter_1 = __importDefault(require("gray-matter"));
const fs_1 = __importDefault(require("fs"));
const transformMarkdownFiles = (config) => (mdFiles) => __awaiter(void 0, void 0, void 0, function* () {
    const generatedMdLib = {};
    try {
        yield Promise.all(mdFiles.map((mdFile) => __awaiter(void 0, void 0, void 0, function* () {
            const m = (0, gray_matter_1.default)(yield fs_1.default.promises.readFile((0, paths_1.pathIn)(config)(mdFile)));
            generatedMdLib[mdFile] = {
                content: m.content,
                data: m.data,
                excerpt: m.excerpt,
            };
        })));
    }
    catch (error) {
        if (error instanceof Error) {
            (0, console_1.message)(error.message, 'red');
        }
        return;
    }
    yield (0, fsAddons_1.fileWriteRecuirsiveAsync)((0, paths_1.pathSsg)(config)('markdown.ts'), `export const htmlContent = ${JSON.stringify(generatedMdLib, null, 4)} as const`);
});
exports.transformMarkdownFiles = transformMarkdownFiles;
//# sourceMappingURL=markdown.js.map